Registries - List
Lists all the container registries under the specified subscription.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.ContainerRegistry/registries?api-version=2019-05-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
subscription
|
path | True |
string |
The Microsoft Azure subscription ID. |
|
api-version
|
query | True |
string |
The client API version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request was successful; the request was well-formed and received properly. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
RegistryList
Sample request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.ContainerRegistry/registries?api-version=2019-05-01
Sample response
{
"value": [
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry",
"name": "myRegistry",
"type": "Microsoft.ContainerRegistry/registries",
"location": "westus",
"tags": {
"key": "value"
},
"sku": {
"name": "Standard",
"tier": "Standard"
},
"properties": {
"loginServer": "myregistry.azurecr.io",
"creationDate": "2017-03-01T23:14:37.0707808Z",
"provisioningState": "Succeeded",
"status": {
"displayStatus": "Ready",
"message": "The registry is ready.",
"timestamp": "2017-03-01T23:15:37.0707808Z"
},
"adminUserEnabled": true
}
}
]
}
Definitions
| Name | Description |
|---|---|
| Action |
The action of virtual network rule. |
|
Default |
The default action of allow or deny when no other rules match. |
| IPRule |
IP rule with specific IP or IP range in CIDR format. |
|
Network |
The network rule set for a container registry. |
| Policies |
The policies for a container registry. |
|
Policy |
The value that indicates whether the policy is enabled or not. |
|
Provisioning |
The provisioning state of the container registry at the time the operation was called. |
|
Quarantine |
The quarantine policy for a container registry. |
| Registry |
An object that represents a container registry. |
|
Registry |
The result of a request to list container registries. |
|
Retention |
The retention policy for a container registry. |
| Sku |
The SKU of a container registry. |
|
Sku |
The SKU name of the container registry. Required for registry creation. |
|
Sku |
The SKU tier based on the SKU name. |
| Status |
The status of an Azure resource at the time the operation was called. |
|
Storage |
The properties of a storage account for a container registry. Only applicable to Classic SKU. |
|
Trust |
The content trust policy for a container registry. |
|
Trust |
The type of trust policy. |
|
Virtual |
Virtual network rule. |
Action
The action of virtual network rule.
| Value | Description |
|---|---|
| Allow |
DefaultAction
The default action of allow or deny when no other rules match.
| Value | Description |
|---|---|
| Allow | |
| Deny |
IPRule
IP rule with specific IP or IP range in CIDR format.
| Name | Type | Default value | Description |
|---|---|---|---|
| action | Allow |
The action of IP ACL rule. |
|
| value |
string |
Specifies the IP or IP range in CIDR format. Only IPV4 address is allowed. |
NetworkRuleSet
The network rule set for a container registry.
| Name | Type | Default value | Description |
|---|---|---|---|
| defaultAction | Allow |
The default action of allow or deny when no other rules match. |
|
| ipRules |
IPRule[] |
The IP ACL rules. |
|
| virtualNetworkRules |
The virtual network rules. |
Policies
The policies for a container registry.
| Name | Type | Description |
|---|---|---|
| quarantinePolicy |
The quarantine policy for a container registry. |
|
| retentionPolicy |
The retention policy for a container registry. |
|
| trustPolicy |
The content trust policy for a container registry. |
PolicyStatus
The value that indicates whether the policy is enabled or not.
| Value | Description |
|---|---|
| enabled | |
| disabled |
ProvisioningState
The provisioning state of the container registry at the time the operation was called.
| Value | Description |
|---|---|
| Creating | |
| Updating | |
| Deleting | |
| Succeeded | |
| Failed | |
| Canceled |
QuarantinePolicy
The quarantine policy for a container registry.
| Name | Type | Default value | Description |
|---|---|---|---|
| status | disabled |
The value that indicates whether the policy is enabled or not. |
Registry
An object that represents a container registry.
| Name | Type | Default value | Description |
|---|---|---|---|
| id |
string |
The resource ID. |
|
| location |
string |
The location of the resource. This cannot be changed after the resource is created. |
|
| name |
string |
The name of the resource. |
|
| properties.adminUserEnabled |
boolean |
False |
The value that indicates whether the admin user is enabled. |
| properties.creationDate |
string (date-time) |
The creation date of the container registry in ISO8601 format. |
|
| properties.loginServer |
string |
The URL that can be used to log into the container registry. |
|
| properties.networkRuleSet |
The network rule set for a container registry. |
||
| properties.policies |
The policies for a container registry. |
||
| properties.provisioningState |
The provisioning state of the container registry at the time the operation was called. |
||
| properties.status |
The status of the container registry at the time the operation was called. |
||
| properties.storageAccount |
The properties of the storage account for the container registry. Only applicable to Classic SKU. |
||
| sku |
The SKU of the container registry. |
||
| tags |
object |
The tags of the resource. |
|
| type |
string |
The type of the resource. |
RegistryListResult
The result of a request to list container registries.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
The URI that can be used to request the next list of container registries. |
| value |
Registry[] |
The list of container registries. Since this list may be incomplete, the nextLink field should be used to request the next list of container registries. |
RetentionPolicy
The retention policy for a container registry.
| Name | Type | Default value | Description |
|---|---|---|---|
| days |
integer (int32) |
7 |
The number of days to retain an untagged manifest after which it gets purged. |
| lastUpdatedTime |
string (date-time) |
The timestamp when the policy was last updated. |
|
| status | disabled |
The value that indicates whether the policy is enabled or not. |
Sku
The SKU of a container registry.
| Name | Type | Description |
|---|---|---|
| name |
The SKU name of the container registry. Required for registry creation. |
|
| tier |
The SKU tier based on the SKU name. |
SkuName
The SKU name of the container registry. Required for registry creation.
| Value | Description |
|---|---|
| Classic | |
| Basic | |
| Standard | |
| Premium |
SkuTier
The SKU tier based on the SKU name.
| Value | Description |
|---|---|
| Classic | |
| Basic | |
| Standard | |
| Premium |
Status
The status of an Azure resource at the time the operation was called.
| Name | Type | Description |
|---|---|---|
| displayStatus |
string |
The short label for the status. |
| message |
string |
The detailed message for the status, including alerts and error messages. |
| timestamp |
string (date-time) |
The timestamp when the status was changed to the current value. |
StorageAccountProperties
The properties of a storage account for a container registry. Only applicable to Classic SKU.
| Name | Type | Description |
|---|---|---|
| id |
string |
The resource ID of the storage account. |
TrustPolicy
The content trust policy for a container registry.
| Name | Type | Default value | Description |
|---|---|---|---|
| status | disabled |
The value that indicates whether the policy is enabled or not. |
|
| type | Notary |
The type of trust policy. |
TrustPolicyType
The type of trust policy.
| Value | Description |
|---|---|
| Notary |
VirtualNetworkRule
Virtual network rule.
| Name | Type | Default value | Description |
|---|---|---|---|
| action | Allow |
The action of virtual network rule. |
|
| id |
string |
Resource ID of a subnet, for example: /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworks/{vnetName}/subnets/{subnetName}. |